Get Execution Result Aggregate Detail

Prev Next
Get
/api/v1/Execution/projects/{projectId}/tests/{testId}/results/{batchKey}/aggregate-detail

Get the aggregate detail of a test execution result

Path parameters
projectId
integer (int32) Required

Project containing the execution

testId
integer (int32) Required

Test that was executed

batchKey
stringRequired

Batch containing the execution, named either by its numeric batch id or by the execution key returned when the test was executed

Responses
200

OK

Expand All
object
status
string
Valid values[ "Running", "Aborting", "Aborted", "Completed", "Abandoned" ]
batchId
integer (int32)

ID of the batch

testName
string | null

Name of the test that was executed

testId
integer (int32)

ID of the test that was executed

testVersionId
integer (int32)

ID of the test version that was executed

startTime
string (date-time)

Start time of the execution

completionTime
string (date-time) | null

Completion time of the execution

duration
string | null

Duration of the execution

storageLocation
string
Valid values[ "LocalStorage", "Snowflake", "Databricks" ]
testDataSource
string | null

The test data source of the executed test

testDataSetType
string | null

Type of the test data set of the executed test

testScriptDuration
string | null

Duration of the executed test's test script

controlDataSource
string | null

The control data source of the executed test

controlDataSetType
string | null

Type of the control data set of the executed test

controlScriptDuration
string | null

Duration of the executed test's control script

runBy
string | null

The user who executed the batch

testResultType
string | null

Whether the executed test was scalar or table

scalarResults
object (Configuration.Api.Models.v1.TestExecutionAggregateDetailScalarResults)
result
string
Valid values[ "Running", "Passed", "Failed", "Error" ]
numericTestValue
number (double) | null

The scalar test's test value, if numeric

numericControlValue
number (double) | null

The scalar test's control value, if numeric

numericActualDifference
number (double) | null

The numeric actual difference between the test's test and control values, if numeric

numericAbsoluteDifference
number (double) | null

The numeric absolute difference between the test's test and control values, if numeric

numericPercentDifference
number (double) | null

The numeric percent difference between the test's test and control values, if numeric

stringTestValue
string | null

The scalar test's test value, if a string

stringControlValue
string | null

The scalar test's control value, if a string

dateTestValue
string | null

The scalar test's test value, if a date/time

dateControlValue
string | null

The scalar test's control value, if a date/time

tableSummaryResults
object (Configuration.Api.Models.v1.TestExecutionAggregateDetailTableSummaryResults)
overallResults
object (Configuration.Api.Models.v1.TestExecutionAggregateDetailTableSummaryResultsOverall)
result
string
Valid values[ "Running", "Passed", "Failed", "Error" ]
totalRows
integer (int32)

Total # of rows for the test execution

passedTotal
integer (int32)

of passed rows for the test execution

failedTotal
integer (int32)

of failed rows for the test execution

errorTotal
integer (int32)

of error rows for the test execution

testOnlyTotal
integer (int32)

of rows that were test only for the test execution

matchedTotal
integer (int32)

of rows that were matched for the test execution

controlOnlyTotal
integer (int32)

of rows that were control only for the test execution

testOnlyPassed
integer (int32)

of test only rows that passed for the test execution

matchedPassed
integer (int32)

of matched rows that passed for the test execution

controlOnlyPassed
integer (int32)

of control only rows that passed for the test execution

testOnlyFailed
integer (int32)

of test only rows that failed for the test execution

matchedFailed
integer (int32)

of matched rows that failed for the test execution

controlOnlyFailed
integer (int32)

of control only rows that failed for the test execution

testOnlyError
integer (int32)

of test only rows that errored for the test execution

matchedError
integer (int32)

of matched rows that errored for the test execution

controlOnlyError
integer (int32)

of control only rows that errored for the test execution

columnAggregationResults
Array of object (Configuration.Api.Models.v1.TestExecutionAggregateDetailTableSummaryResultsColumn)

List of aggregation results for each column

object
testDataSetColumnIndex
integer (int32) | null

The test data set index of the column

testDataSetColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetColumnName
string | null

The test data set name of the column

controlDataSetColumnIndex
integer (int32) | null

The control data set index of the column

controlDataSetColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
controlDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
controlDataSetColumnName
string | null

The control data set name of the column

passedCount
integer (int32) | null

The passed count of the column

failedCount
integer (int32) | null

The failed count of the column

errorCount
integer (int32) | null

The error count of the column

testDatasetError
string | null

Error present in the test dataset

controlDatasetError
string | null

Error present in the control dataset

testError
string | null

Error present in the test

batchError
string | null

Error present in the batch

testOverallResultStatus
string
Valid values[ "NeverRun", "AlwaysPassing", "AlwaysFailing", "AlwaysErroring", "NowFailing", "NowErroring", "NowPassing", "IntermittentFailures", "IntermittentErrors", "IntermittentPasses", "StalePassed", "StaleFailed", "StaleErrored" ]
403

Forbidden

404

Not Found

object
error
string | null